summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-10-07 15:22:27 +0200
committerLars Wendler <polynomial-c@gentoo.org>2020-10-07 15:22:39 +0200
commit4f383c3ed4556ac3fe59818625be5467867dac28 (patch)
tree0909066d96e03f34af36ea7525daeb9ad4552157 /media-sound/murmur
parentmedia-sound/mumble: Bump to version 1.3.3 (diff)
downloadgentoo-4f383c3ed4556ac3fe59818625be5467867dac28.tar.gz
gentoo-4f383c3ed4556ac3fe59818625be5467867dac28.tar.bz2
gentoo-4f383c3ed4556ac3fe59818625be5467867dac28.zip
media-sound/murmur: Bump to version 1.3.3
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'media-sound/murmur')
-rw-r--r--media-sound/murmur/Manifest1
-rw-r--r--media-sound/murmur/murmur-1.3.3.ebuild161
2 files changed, 162 insertions, 0 deletions
diff --git a/media-sound/murmur/Manifest b/media-sound/murmur/Manifest
index 2586c579c1e..64cd425a932 100644
--- a/media-sound/murmur/Manifest
+++ b/media-sound/murmur/Manifest
@@ -1,2 +1,3 @@
DIST mumble-1.3.1.tar.gz 8587417 BLAKE2B e0ff9911727ce74035cef658ff8ce21bfab6dcfd94306abe4a206853a1b2e2e4ddc7215e757f89559c30be64df4329dffc81618a0509df2b281f5b5b59d7de2f SHA512 f622ae5e4f7cd00ef60d225ee6db3cc13fcae5fdc1b03252d17ad6a18156526517e7d019f796b5600219e90e8662d095102fc6d61033fb20fd109afdf427a6d7
DIST mumble-1.3.2.tar.gz 8586828 BLAKE2B 38af4a0a2ab934388607745a2e31ea7310b7bc040bbe6ac32cc7128f2ac2949f5754090b6eaed3b0baaca6f76c42f004fdd093d88b8486d84187d063d01976e9 SHA512 22e23a682bc9c11420c6ae1d8ff01a80906ebbfb4f073ee25c6d2923d345d12031ddfeca3dabaaf5cf183b82b22eb3c788c88fa0f5313bc399e15795a945b874
+DIST mumble-1.3.3.tar.gz 8591354 BLAKE2B e5bf4d0a21f3c9af761b0892c4a5a7d86244d3283070976fe7a779a10567ffd857e0c19dad750cdbae40d851ce1dcf17b66c63a2cb5142a13358af6f272445dd SHA512 be4c6d4de82a1059bf30d4c7e3c44e41e4bb50dc4a811b7d0def808c52059ff7bcccf65140db940f18cc1bb66d58ea4dab23ba5dcfae3b8b904866751f32edb3
diff --git a/media-sound/murmur/murmur-1.3.3.ebuild b/media-sound/murmur/murmur-1.3.3.ebuild
new file mode 100644
index 00000000000..17d28a117c4
--- /dev/null
+++ b/media-sound/murmur/murmur-1.3.3.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit qmake-utils systemd readme.gentoo-r1
+
+DESCRIPTION="Mumble is an open source, low-latency, high quality voice chat software"
+HOMEPAGE="https://wiki.mumble.info"
+if [[ "${PV}" == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/mumble-voip/mumble.git"
+ EGIT_SUBMODULES=( '-*' )
+else
+ MY_PN="mumble"
+ if [[ "${PV}" == *_pre* ]] ; then
+ MY_P="${MY_PN}-${PV}"
+ SRC_URI="https://dev.gentoo.org/~polynomial-c/dist/${MY_P}.tar.xz"
+ S="${WORKDIR}/${MY_P}"
+ else
+ MY_PV="${PV/_/-}"
+ MY_P="${MY_PN}-${MY_PV}"
+ SRC_URI="https://github.com/mumble-voip/mumble/releases/download/${MY_PV}/${MY_P}.tar.gz
+ https://dl.mumble.info/${MY_P}.tar.gz"
+ S="${WORKDIR}/${MY_PN}-${PV/_*}"
+ fi
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="+dbus debug +ice pch zeroconf"
+
+RDEPEND="
+ acct-group/murmur
+ acct-user/murmur
+ >=dev-libs/openssl-1.0.0b:0=
+ >=dev-libs/protobuf-2.2.0:=
+ dev-qt/qtcore:5
+ dev-qt/qtnetwork:5
+ || (
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtsql:5[mysql]
+ )
+ dev-qt/qtxml:5
+ sys-apps/lsb-release
+ >=sys-libs/libcap-2.15
+ dbus? ( dev-qt/qtdbus:5 )
+ ice? ( dev-libs/Ice:= )
+ zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
+"
+
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.41.0
+"
+BDEPEND="
+ acct-group/murmur
+ acct-user/murmur
+ virtual/pkgconfig
+"
+
+if [[ "${PV}" == *9999 ]] ; then
+ # Required for the mkini.sh script which calls perl multiple times
+ BDEPEND+="
+ dev-lang/perl
+ "
+fi
+
+DOC_CONTENTS="
+ Useful scripts are located in /usr/share/doc/${PF}/scripts.\n
+ Please execute:\n
+ murmurd -ini /etc/murmur/murmur.ini -supw <pw>\n
+ chown murmur:murmur /var/lib/murmur/murmur.sqlite\n
+ to set the build-in 'SuperUser' password before starting murmur.
+ Please restart dbus before starting murmur, or else dbus
+ registration will fail.
+"
+
+src_prepare() {
+ default
+
+ if [[ "${PV}" == *9999 ]] ; then
+ pushd scripts &>/dev/null || die
+ ./mkini.sh || die
+ popd &>/dev/null || die
+ fi
+
+ sed \
+ -e 's:mumble-server:murmur:g' \
+ -e 's:/var/run:/run:g' \
+ -i "${S}"/scripts/murmur.{conf,ini.system} || die
+
+ # Adjust systemd service file to our config location #689208
+ sed "s@/etc/${PN}\.ini@/etc/${PN}/${PN}.ini@" \
+ -i scripts/${PN}.service || die
+}
+
+src_configure() {
+ myuse() {
+ [[ -n "${1}" ]] || die "myconf: No use flag given."
+ use ${1} || echo "no-${1}"
+ }
+ local conf_add=(
+ no-client
+ $(myuse dbus)
+ $(usex debug 'symbols debug' release)
+ $(myuse ice)
+ $(myuse pch)
+ $(usex zeroconf '' no-bonjour)
+ )
+
+ eqmake5 main.pro -recursive \
+ CONFIG+="${conf_add[*]}"
+}
+
+src_install() {
+ dodoc README CHANGES
+
+ docinto scripts
+ dodoc -r scripts/server
+ docompress -x /usr/share/doc/${PF}/scripts
+
+ local dir="$(usex debug debug release)"
+ dobin "${dir}"/murmurd
+
+ local etcdir="/etc/murmur"
+ insinto ${etcdir}
+ newins scripts/${PN}.ini.system ${PN}.ini
+
+ insinto /etc/logrotate.d/
+ newins "${FILESDIR}"/murmur.logrotate murmur
+
+ insinto /etc/dbus-1/system.d/
+ doins scripts/murmur.conf
+
+ insinto /usr/share/murmur/
+ doins src/murmur/Murmur.ice
+
+ newinitd "${FILESDIR}"/murmur.initd-r1 murmur
+ newconfd "${FILESDIR}"/murmur.confd murmur
+
+ systemd_dounit scripts/${PN}.service
+ systemd_newtmpfilesd "${FILESDIR}"/murmurd-dbus.tmpfiles "${PN}".conf
+
+ keepdir /var/lib/murmur /var/log/murmur
+ fowners -R murmur /var/lib/murmur /var/log/murmur
+ fperms 750 /var/lib/murmur /var/log/murmur
+
+ # Fix permissions on config file as it might contain passwords.
+ # (bug #559362)
+ fowners root:murmur ${etcdir}/murmur.ini
+ fperms 640 ${etcdir}/murmur.ini
+
+ doman man/murmurd.1
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ readme.gentoo_print_elog
+}